Download it now!
Bug 55954 - EDITING: CJK text has wrong style applied when copied from Writer to Calc
Summary: EDITING: CJK text has wrong style applied when copied from Writer to Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2012-10-13 15:44 UTC by bugquestcontri
Modified: 2019-01-14 03:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
the calc file used as paste target, I will try to add the the original writer file in bugzilla (11.25 KB, application/vnd.oasis.opendocument.text)
2012-10-13 15:44 UTC, bugquestcontri
Details
the orignal file from where I copied Japanese text (10.01 KB, application/vnd.oasis.opendocument.text)
2012-10-13 15:47 UTC, bugquestcontri
Details
new test - ods test file (23.85 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-21 10:55 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2012-10-13 15:44:52 UTC
Created attachment 68525 [details]
the calc file used as paste target, I will try to add the the original writer file in bugzilla

Problem description: 
copy & paste of Japanese text from writer to calc shows inconsistency opf the paste results depending on the paste methode (pasting directly into cells or pasting into the input line). Details are to be seen in the attached files

Steps to reproduce:
1. copy a Japanese text in writer
2. paste directly into a cell in calc creates a too small font neither matching the font in writer nor default in calc, color is black
3. paste into the input line creates the same font result but color is gray. 
4. when increasing the font size in calc overlapping of Japanese characters occure depending on the width of the column (this can be seen in the attached calc sheet when changing the column width)

Current behavior:
as described above
The same issue should appear with all double byte word languages (Japanese, Chinese, Korean, Thai etc...)

Expected behavior:
when pasting Japanese from writer into calc the font should be as in writer or as the default font in calc (type, size, color)

I can be contacted for question: bugquestcontri@online.de

Platform (if different from the browser): 
LO 3.5.6.2 XP SP3
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:16.0) Gecko/20100101 Firefox/16.0
Comment 1 bugquestcontri 2012-10-13 15:47:39 UTC
Created attachment 68526 [details]
the orignal file from where I copied Japanese text
Comment 2 Urmas 2012-11-24 03:45:03 UTC
The font face and size still don't match the copied text properties with 4.0-master.
Comment 3 bugquestcontri 2013-04-15 02:16:50 UTC
Just made a test in Version 3.6.5.2 (Build ID: 5b93205)

Font in Writer: MS Mincho 10.5 pts

ctrl+C in Writer and ctrl+V in Calc
 - direct into cell gives format MS PGothic 6.8 pts
 - input line gives Lucidia Sans 6.8 pts

Font color is in both cases black as original text.
Comment 4 bugquestcontri 2014-09-27 14:19:51 UTC
As the last test was made in an rather old LibO version, I made a test in Version: 4.2.6.2
Build ID: 185f2ce4dcc34af9bd97dec29e6d42c39557298f
XP/SP3

Writer font: MS Mincho 10.5
ctrl+ c in Writer
- ctrl+v in Calc directly into cell; MSP Gothic 10
- ctrl+C in Calc in input line: Segoe UI 6.8


In both cased the text is wrapped into the cell which is according my default style of the alignment

Changing the cell alignment to NOT warp
Writer font: MS Mincho 10.5
ctrl+ c in Writer
- ctrl+v directly into the call: MSP Gothic 10 and wrapped into the cell
- ctrl+v into the input line: Segoe UI 6.8 and not wrapped into the cell


Hope my comment helps.
Comment 5 Matthew Francis 2015-04-07 11:46:14 UTC
The issue occurs with the attached file back to OOo / LO 3.3.0

I haven't yet been able to reproduce it from scratch, but I can see that for some reason in the case of pasting into the Calc input line, the font selected is the CTL font from the paragraph style rather than the CJK font

-> Version: Inherited from OOo
Comment 6 bugquestcontri 2015-04-21 10:55:08 UTC
Created attachment 114986 [details]
new test - ods test file

I made new test in v 4.3.6.1 on an XP machine. 
The bug is still there. 
For details look into the file. 
I added a screenshot (it is inside the ods-file) of the wrong font to avoid that  opening on a different LibO version does not change the situation.
Comment 7 QA Administrators 2016-09-20 09:34:03 UTC Comment hidden (obsolete)
Comment 8 madmalkav 2016-12-10 11:40:17 UTC
I just tried and the bug persists in 5.3.0 beta1. I copy/pasted a table with both spanish and japanese texts and only the japanese ones are suffering the problem.
Comment 9 QA Administrators 2017-12-11 08:53:39 UTC Comment hidden (obsolete)
Comment 10 madmalkav 2018-01-13 16:32:59 UTC
Bug persists.

Version: 6.0.0.2 (x64)
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: es-ES (es_ES); Calc: group
Comment 11 QA Administrators 2019-01-14 03:51:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug